Retrieves the job work instruction list with the specified key.
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
job_work_instruction_list| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| jobs_id |
Foreign key of the jobs |
globally unique identifier |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs_reference_back_office |
Embedded entity "jobs" using ERP PK when adding/updating |
string |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs |
Embedded entity "jobs" when adding/updating |
jobs |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| work_instruction_details_id |
work instruction details id |
globally unique identifier | |
| work_instruction_details_reference_back_office |
Embedded code "work instruction details" when adding/updating |
string | |
| work_instruction_details |
Embedded entity "work instruction details" when adding/updating |
work_instruction_details | |
| user_id |
Filled by the person that completed that item on the checklist |
globally unique identifier | |
| work_instruction_action_type |
Value from work_instruction_action_type.name |
string | |
| work_instruction_id |
work instruction id |
globally unique identifier |
Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided |
| work_instruction_reference_back_office |
Embedded code "work instruction" when adding/updating |
string |
Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided |
| work_instruction |
Embedded entity "work instruction" when adding/updating |
work_instruction |
Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided |
| name |
The "on what" |
string |
Required Max length: 4000 |
| status |
Status can be Ok,NotOk,Replaced,NotApplicable |
string |
Max length: 50 |
| date_done |
Datetime filled when status goes to one valable status. |
date | |
| remark |
Additional remark from the technician. |
string |
Max length: 255 |
| advise |
Additional advice from the technician. |
string |
Max length: 255 |
| sequence |
To order it. |
integer | |
| reference_back_office |
The Id/Ref of the back office for this job work instruction. Used by Embedded entity |
string |
Max length: 255 |
| group_name |
Name of the group |
string |
Max length: 4000 |
| group_sequence |
Order of the group |
integer | |
| type |
One of the possible types which are Regular, Form, Picture, UsedParts, BillableHours. Regular is the default |
string | |
| instruction_document_count |
Specify how many documents/photos must be added if type is Picture |
integer | |
| db_report_type_id |
When type is Form, you must specify which db_report_type must be filled |
globally unique identifier | |
| db_report_type_name |
When type is Form, you must specify which db_report_type must be filled |
string | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "12c69ef3-f30c-4e74-b4fb-07a83840a4ad",
"jobs_id": "23f3c07f-345d-4ef3-9793-71d6110d9564",
"jobs_reference_back_office": "sample string 3",
"jobs": {
"id": "bf44f2ab-17cd-4a07-ace7-20816702e731",
"_parent_id": "fe4e45e5-d0e3-49cb-a910-071999d44df6",
"_parent_jobs_reference_back_office": "sample string 3",
"project_id": "304997d2-317e-4a74-955f-2b7330aa924a",
"project_reference_back_office": "sample string 5",
"project": {
"id": "e885fee9-0602-4da1-8045-a8ef34ce2206",
"_parent_id": "1b7a0deb-323b-4c97-828d-8101686a4565",
"root_parent_id": "ea36e112-9d51-444a-8edd-f39a7fdd0399",
"_parent_reference_back_office": "sample string 4",
"equipment_family_id": "c0de07f6-ae4b-4647-a536-10b763d203d2",
"equipment_family_code": "sample string 6",
"equipment_family": {
"id": "ae47bfa9-adcc-4a1b-bd0f-9bf195c5f285",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "8b7c4f83-3c00-42bd-b713-24838a9b95d6",
"_parent_code": "sample string 6",
"sales_organization_id": "2fafaaf4-31df-4d1e-9aea-6f5ae850622a",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "8b58000d-6469-4d9e-badb-3e9f0bcef180",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "915ce434-dbad-4c28-820a-3c2e56bd1ad6",
"db_currency_id": "2be8b427-fc3c-4102-a7f1-42f87642fa11",
"db_language_id": "8e953a01-5833-44f2-8c3d-998a898211f3",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-12T12:52:30.6611971+00:00"
},
"modified_dateutc": "2026-10-12T12:52:30.6611971+00:00"
},
"equipment_model_id": "874f94b4-f440-43ea-92c1-f4deff677bb6",
"equipment_model_code": "sample string 8",
"equipment_model": {
"id": "6127f0ba-752b-40b7-b3d2-ea5816dcbd25",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"equipment_brand_id": "3d6e2675-b936-486f-a192-8b8a9dde9e7c",
"equipment_brand_code": "sample string 6",
"equipment_brand": {
"id": "63706390-1d5b-4c5d-af9e-704b9cbef488",
"name": "sample string 2",
"code": "sample string 3",
"sales_organization_id": "78218c35-8e80-4efb-965e-2e84a5d152ab",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "8b58000d-6469-4d9e-badb-3e9f0bcef180",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "915ce434-dbad-4c28-820a-3c2e56bd1ad6",
"db_currency_id": "2be8b427-fc3c-4102-a7f1-42f87642fa11",
"db_language_id": "8e953a01-5833-44f2-8c3d-998a898211f3",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-12T12:52:30.6611971+00:00"
},
"modified_dateutc": "2026-10-12T12:52:30.6611971+00:00"
},
"equipment_family_id": "ad18d9bc-1044-40dd-8ec5-8e467f311806",
"equipment_family_code": "sample string 8",
"equipment_family": {
"id": "ae47bfa9-adcc-4a1b-bd0f-9bf195c5f285",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "8b7c4f83-3c00-42bd-b713-24838a9b95d6",
"_parent_code": "sample string 6",
"sales_organization_id": "2fafaaf4-31df-4d1e-9aea-6f5ae850622a",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "8b58000d-6469-4d9e-badb-3e9f0bcef180",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "915ce434-dbad-4c28-820a-3c2e56bd1ad6",
"db_currency_id": "2be8b427-fc3c-4102-a7f1-42f87642fa11",
"db_language_id": "8e953a01-5833-44f2-8c3d-998a898211f3",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-12T12:52:30.6611971+00:00"
},
"modified_dateutc": "2026-10-12T12:52:30.6611971+00:00"
},
"date_in_production_since": "2026-10-12T12:52:30.6611971+00:00",
"date_out_of_production_since": "2026-10-12T12:52:30.6611971+00:00",
"date_end_support": "2026-10-12T12:52:30.6611971+00:00",
"sales_organization_id": "f6673f29-88d5-4803-a530-f06c760694bc",
"sales_organization_code": "sample string 13",
"sales_organization": {
"id": "8b58000d-6469-4d9e-badb-3e9f0bcef180",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "915ce434-dbad-4c28-820a-3c2e56bd1ad6",
"db_currency_id": "2be8b427-fc3c-4102-a7f1-42f87642fa11",
"db_language_id": "8e953a01-5833-44f2-8c3d-998a898211f3",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-12T12:52:30.6611971+00:00"
},
"replacement_period_nb_months": 14,
"warranty_period_nb_months": 15,
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
],
"modified_dateutc": "2026-10-12T12:52:30.6740119+00:00"
},
"project_status_id": "2da04182-18bb-4457-bf04-48ff2b5be424",
"project_status_code": "sample string 10",
"project_status": {
"id": "12f067d5-c0c5-4bf8-869e-0134529995c3",
"name": "sample string 2",
"is_default": true,
"is_closed": true,
"sales_organization_id": "d140e428-1522-4914-b63a-db0a0d45d127",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "8b58000d-6469-4d9e-badb-3e9f0bcef180",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "915ce434-dbad-4c28-820a-3c2e56bd1ad6",
"db_currency_id": "2be8b427-fc3c-4102-a7f1-42f87642fa11",
"db_language_id": "8e953a01-5833-44f2-8c3d-998a898211f3",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-12T12:52:30.6611971+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-10-12T12:52:30.6896522+00:00"
},
"company_id": "babf1320-c306-49a5-a0e2-a1f87ba4fb00",
"company_code": "sample string 12",
"db_address_id": "0bead7a0-2a9a-40c4-b79c-6a96f4979b80",
"db_address_code": "sample string 14",
"location": "sample string 15",
"contact_id": "305245d6-f430-41f4-bccc-8db5365dc624",
"contact_reference_back_office": "sample string 17",
"owner_user_id": "53becf3f-29ea-4422-996b-8c540f780edb",
"name": "sample string 19",
"description": "sample string 20",
"reference_back_office": "sample string 21",
"serial_number": "sample string 22",
"barcode": "sample string 23",
"date_start_production": "2026-10-12T12:52:30.6896522+00:00",
"date_create": "2026-10-12T12:52:30.6896522+00:00",
"date_update": "2026-10-12T12:52:30.6896522+00:00",
"updated_by_user_id": "9071fd93-1f25-4219-81e8-a338555105ab",
"customer_reference": "sample string 28",
"warranty_date_until": "2026-10-12T12:52:30.6896522+00:00",
"last_standard_result_score_1": "sample string 30",
"last_standard_result_score_2": "sample string 31",
"target_standard_result_score_1": "sample string 32",
"target_standard_result_score_2": "sample string 33",
"date_built": "2026-10-12T00:00:00+00:00",
"shutdown_consequence": "sample string 35",
"id2": 36,
"nb_open_jobs": 37,
"date_next_job": "2026-10-12T12:52:30.6896522+00:00",
"date_last_job": "2026-10-12T12:52:30.6896522+00:00",
"nb_jobs_planned": 40,
"nb_jobs_tobeplanned": 41,
"nb_jobs_waitingfurtheraction": 42,
"back_office_timestamp": "2026-10-12T12:52:30.6896522+00:00",
"modified_dateutc": "2026-10-12T12:52:30.6896522+00:00",
"is_mobile_installation": true
},
"job_type_id": "b8453b47-04da-461e-aa19-9a5978675883",
"job_type_code": "sample string 7",
"job_type": {
"id": "1de9fa5c-1813-4865-b16f-8512efe073d4",
"name": "sample string 2",
"sales_organization_id": "06630ff8-b934-481b-84cc-11a2149d12f5",
"description": "sample string 4",
"is_default": true,
"modified_dateutc": "2026-10-12T12:52:30.6896522+00:00",
"code": "sample string 7"
},
"job_priority_id": "5c3faaa5-0b10-4e4c-a705-719261d13e1f",
"job_priority_code": "sample string 9",
"job_priority": {
"id": "364c77c6-ca48-44fb-bd57-ed7ce7a0c68f",
"name": "sample string 2",
"is_default": true,
"sequence": 4,
"sales_organization_id": "6cf48a63-2f6d-4d33-ae4c-eaddb3853606",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "8b58000d-6469-4d9e-badb-3e9f0bcef180",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "915ce434-dbad-4c28-820a-3c2e56bd1ad6",
"db_currency_id": "2be8b427-fc3c-4102-a7f1-42f87642fa11",
"db_language_id": "8e953a01-5833-44f2-8c3d-998a898211f3",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-12T12:52:30.6611971+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-10-12T12:52:30.6896522+00:00"
},
"job_status_id": "69a513a9-66e6-45ff-8610-ca5196ec11a0",
"job_status_code": "sample string 11",
"db_address_id": "fdc52032-3073-4261-92c0-c0103b261777",
"contact_id": "323b695c-794c-4611-90c4-3c553adb4ff5",
"requested_by_company_id": "f29ca8aa-efa2-45df-b4ba-413949ef3974",
"requested_by_contact_id": "3fd1c0ba-9d7f-4c50-933d-0287fb195ca0",
"reference_back_office": "sample string 16",
"name": "sample string 17",
"description": "sample string 18",
"working_sequence": 19,
"internal_memo": "sample string 20",
"prejob_information": "sample string 21",
"estimated_time": 22,
"earliest_date_plannable": "2026-10-12T12:52:30.6896522+00:00",
"due_date": "2026-10-12T12:52:30.6896522+00:00",
"date_create": "2026-10-12T12:52:30.6896522+00:00",
"date_update": "2026-10-12T12:52:30.6896522+00:00",
"date_closed": "2026-10-12T12:52:30.6896522+00:00",
"suggested_user_id": "a5b01270-e293-4435-8f05-ab0cd4d36ddb",
"suggested_user_code": "sample string 29",
"suggested_user": {
"id": "0eae8a79-a755-4a3b-8dfe-8cdda54170cf",
"db_language_id": "d59c0700-36c7-451d-9784-27c42ae6fd91",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-10-12T12:52:30.6896522+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "73b8a066-6a95-49f6-812a-d36af08c92d0",
"sales_organization": {
"id": "8b58000d-6469-4d9e-badb-3e9f0bcef180",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "915ce434-dbad-4c28-820a-3c2e56bd1ad6",
"db_currency_id": "2be8b427-fc3c-4102-a7f1-42f87642fa11",
"db_language_id": "8e953a01-5833-44f2-8c3d-998a898211f3",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-12T12:52:30.6611971+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "f1e4cb2f-3200-4709-9da1-6609a96ae1a7",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "0479d9eb-b328-443c-aa81-057de8c39fe9",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-10-12T12:52:30.6896522+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "00a9cecf-b52b-402e-966d-56514380c877"
},
"suggested_date_start": "2026-10-12T12:52:30.6896522+00:00",
"skill_id": "ed495271-9bb0-4e64-b853-f7df84480dca",
"skill_code": "sample string 32",
"skill": {
"id": "9f871314-09df-4bed-8b54-e7753cc5312f",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"sales_organization_id": "4042a2ab-8f1b-45d5-8647-d85f396f4d6c",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "8b58000d-6469-4d9e-badb-3e9f0bcef180",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "915ce434-dbad-4c28-820a-3c2e56bd1ad6",
"db_currency_id": "2be8b427-fc3c-4102-a7f1-42f87642fa11",
"db_language_id": "8e953a01-5833-44f2-8c3d-998a898211f3",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-12T12:52:30.6611971+00:00"
},
"modified_dateutc": "2026-10-12T12:52:30.6896522+00:00"
},
"customer_reference": "sample string 33",
"approval_responsible_user_id": "64af570a-e006-447d-97f0-9964fc8c0022",
"date_reported_by_company": "2026-10-12T12:52:30.6896522+00:00",
"id2": 36,
"company_id": "6ea5e419-2b00-4a74-8885-2ba71aee05f5",
"company_code": "sample string 38",
"db_address_name": "sample string 39",
"db_address_street": "sample string 40",
"db_address_street2": "sample string 41",
"db_address_street_number": "sample string 42",
"db_address_city": "sample string 43",
"db_address_zip": "sample string 44",
"db_address_db_country_id": "e71f3531-03f9-4660-bf51-47eeb4279ff3",
"db_address_db_country_code": "sample string 46",
"db_address_phone": "sample string 47",
"db_address_email": "sample string 48",
"db_address_latitude_decimal": 49.0,
"db_address_longitude_decimal": 50.0,
"estimated_quantity_remark": "sample string 51",
"modified_dateutc": "2026-10-12T12:52:30.6896522+00:00"
},
"work_instruction_details_id": "e5d5c4cf-b0cc-4e7d-a736-e1d3efe2aaf4",
"work_instruction_details_reference_back_office": "sample string 5",
"user_id": "5f674f42-1c9e-4757-a533-efdd4922b48b",
"work_instruction_action_type": "sample string 7",
"work_instruction_id": "204751bb-066a-4e7d-8dc5-811af683e3fe",
"work_instruction_reference_back_office": "sample string 9",
"name": "sample string 10",
"status": "sample string 11",
"date_done": "2026-10-12T12:52:30.6896522+00:00",
"remark": "sample string 13",
"advise": "sample string 14",
"sequence": 1,
"reference_back_office": "sample string 15",
"group_name": "sample string 16",
"group_sequence": 1,
"type": "sample string 17",
"instruction_document_count": 1,
"db_report_type_id": "53dce16d-3b1a-49d2-babe-6ed54693e05e",
"db_report_type_name": "sample string 18",
"modified_dateutc": "2026-10-12T12:52:30.6896522+00:00"
}